local metadata = {
"## Interface:FS17 1.4.4",
"## Title: driveDirection",
"## Notes: See lua notes.",
"## Author: GTX MODS & RivalBomb",
"## Version: 1.0",
"## Date: 20.03.2017",
"## Web: http://www.gtxmods.com/"
}

--[[

Credits:
Based on part of displayFunctions.lua for FS15 by RivalBomb
https://www.facebook.com/RivalModding/

driveDirection.lua by GTX MODS and RivalBomb
http://www.gtxmods.com/

History:
V 1.0 @ 20.03.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > http://www.gtxmods.com/contact-us/ 

Can be used to Set Visibility of Nodes dependent on travel direction.

EXAMPLE FOR XML:
<driveDirection>
	<reverse index="0>0|0"/>
    <drive index="0>0|0"/>
</driveDirection>

]]

driveDirection = {};

function driveDirection.prerequisitesPresent(specializations)
    return true;
end;

function driveDirection:load(xmlFile)
	self.driveDirection = {};
	
	local node = "vehicle.driveDirection.";
	self.driveDirection.reverse = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."reverse#index"));
	self.driveDirection.drive = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."drive#index"));	
end;

function driveDirection:update(dt)
	if self:getIsActive() then
		if self:getLastSpeed() * self.speedDisplayScale > 1 and self.movingDirection < 0 then
			if self.driveDirection.reverse ~= nil then
				setVisibility(self.driveDirection.reverse, true);
			end;
		elseif self:getLastSpeed() * self.speedDisplayScale > 1 and self.movingDirection > 0 then
			if self.driveDirection.drive ~= nil then
				setVisibility(self.driveDirection.drive, true);
			end;
		else
			if self.driveDirection.reverse ~= nil then
				setVisibility(self.driveDirection.reverse, false);
			end;
			if self.driveDirection.drive ~= nil then
				setVisibility(self.driveDirection.drive, false);
			end;			
		end;	
	end;
end;

function driveDirection:keyEvent(unicode, sym, modifier, isDown)
end;

function driveDirection:draw()
end;

function driveDirection:delete()
end;

function driveDirection:mouseEvent(posX, posY, isDown, isUp, button)
end;